Name: sugar-read
Version: 106
Release: 1%{?dist}
Summary: A document reader for Sugar
Group: Sugar/Activities
License: GPLv2+
URL: http://wiki.laptop.org/go/Read
Source0: http://download.sugarlabs.org/sources/sucrose/fructose/Read/Read-%{version}.tar.bz2
BuildArch: noarch

BuildRequires: evince-devel
BuildRequires: gettext
BuildRequires: gobject-introspection-devel
BuildRequires: python-devel
BuildRequires: sugar-toolkit-gtk3-devel

Requires: evince-libs
Requires: evince-djvu
Requires: gobject-introspection
Requires: python-BeautifulSoup
Requires: sugar-toolkit-gtk3

%description
The Read activity allows the laptop to act as a book reader. It has a
simple interface, and will view many kinds of text and image-based book-
like materials. It will have particular strengths in handheld mode, with
extremely low power consumption and simple navigation controls.

Read can read PDF files, single-page TIFF files, and also read DJVU files.

%prep
%setup -q -n Read-%{version}

%build
python ./setup.py build

%install
mkdir -p $RPM_BUILD_ROOT%{sugaractivitydir}
./setup.py install --prefix=$RPM_BUILD_ROOT/%{_prefix}

%find_lang org.laptop.sugar.ReadActivity

%files -f org.laptop.sugar.ReadActivity.lang
%doc COPYING AUTHORS
%{sugaractivitydir}/Read.activity/


%changelog
* Tue Nov 27 2012 Peter Robinson <pbrobinson@fedoraproject.org> 106-1
- Release 106

* Fri Nov 23 2012 Peter Robinson <pbrobinson@fedoraproject.org> 105-1
- Release 105

* Wed Oct 17 2012 Peter Robinson <pbrobinson@fedoraproject.org> 104-1
- Release 104

* Tue Oct  9 2012 Peter Robinson <pbrobinson@fedoraproject.org> 103-1
- Release 103

* Thu Oct  4 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 102-2
- Update dependencies for gtk3

* Fri Sep 28 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 102-1
- Release 102

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 99-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 16 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 99-1
- Release 99

* Tue Apr 10 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 98-1
- Release 98

* Wed Mar 21 2012 Kalev Lember <kalevlember@gmail.com> - 97-2
- Rebuild for libevdocument3 soname bump

* Thu Mar  8 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 97-1
- Release 97

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 94-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec  8 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 94-1
- Release 94

* Tue Oct 18 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 92-1
- Release 92

* Tue Apr  5 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 88-1
- New 88 release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 79-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 29-3
- Bump build

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 79-2
- recompiling .py files against Python 2.7 (rhbz#623384)

* Wed Jul 21 2010 Sebastian Dziallas <sebastian@when.com> - 79-1
- New upstream release fixing issues on F13

* Wed Dec 23 2009 Sebastian Dziallas <sebastian@when.com> - 78-1
- New upstream release

* Sun Oct 11 2009 Sebastian Dziallas <sebastian@when.com> - 76-1
- Fix pagination for IA Epubs
- Updated Vietnamese translations

* Sun Sep 27 2009 Sebastian Dziallas <sebastian@when.com> - 75-1
- Fix search in Epub files (dslo #1319)
- Updated translations for German, Mongolian and Portuguese

* Sat Sep 12 2009 Simon Schampijer <simon@schampijer.de> - 73-1
- New toolbars
- Support for Epub files
- Support for notes associated with bookmarks
- Show a information bar in fullscreen mode, with pagecount and battery information

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 66-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 06 2009 Simon Schampijer <simon@schampijer.de> - 66-1
- Support evince binding w/o document_links support #703
- Update translations

* Fri Mar 06 2009 Simon Schampijer <simon@schampijer.de> - 65-2
- make dependency only on gnome-python2-evince to not drag in 
  all gnome-python

* Wed Mar 04 2009 Simon Schampijer <simon@schampijer.de> - 65-1
- Initial packaging
